//Fonction état
typedef void (*FCT_ETAT)(SONIC*, int);
enum etat_actions {ETAT_ACTION_ACTIVE=1, ETAT_ACTION_DESACTIVE, ETAT_ACTION_AFFICHE, ETAT_ACTION_GERE};

void ActiveEtat(SONIC *s, FCT_ETAT nouvelEtat);
void ChangeEtat(SONIC *s, FCT_ETAT nouvelEtat);
void DesactiveEtat(SONIC *s);

extern void heTouche(SONIC*, int);
extern void heMort(SONIC*, int);
extern void heBumper(SONIC*, int);
extern void hePrendBulle(SONIC *s, int message);
extern void heNoye(SONIC *s, int message);


